`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    20:10:13 01/17/2013 
// Design Name: 
// Module Name:    Mux 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module Mux(left_seg, right_seg, seg_out, an_out,sel);
input [6:0]left_seg;
input [6:0]right_seg;
output [6:0] seg_out;
output [3:0]an_out;
input [1:0]sel;


reg [3:0]an_out;
reg [6:0] seg_out;

always  @ (sel)
begin
	case (sel)
	 
	 2'b00 : 
    begin
     an_out <= 4'b0111;
     seg_out <= left_seg;
    end
	 
	 2'b01 : 
    begin
     an_out <= 4'b1011;
     seg_out <= right_seg;
    end
	 
	 2'b10 : 
    begin
     an_out <= 4'b1111;
     seg_out <= right_seg;
    end
    
	 2'b11 : 
    begin
     an_out <= 4'b1111;
     seg_out <= left_seg;
    end
	 default
	    an_out <= 4'b1111;
		 
	 endcase
end
endmodule
