`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    18:15:31 01/17/2013 
// Design Name: 
// Module Name:    Clock 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module Clock( clk_in, reset, clk_250Hz,clk_2Hz,hpend,blank);
input clk_in,blank;
input reset;
output clk_250Hz;
output clk_2Hz;
output [10:0] hpend;


reg [10:0]hpend=0;
reg clk_250Hz;
reg [16:0]count;
reg clk_2Hz;
reg [26:0] count_2Hz;

always @ ( posedge clk_in or posedge reset)

begin
			 if ( reset == 1)
				begin
				clk_250Hz<=1'b0;
				count <=17'b0;
				count_2Hz<=0;
				end
			else if (count==100000)
				begin
				count<=17'b0;
				clk_250Hz<=~clk_250Hz;
				end
			else if ( count_2Hz==100000)
				 begin
				 count_2Hz<=27'b0;
				 clk_2Hz<=~clk_2Hz;
				 end
			else 
			  begin
				count<=count+1;
				count_2Hz<=count_2Hz+1;
				end
				
 
end 


always @( posedge clk_2Hz )
     begin
			if(blank==0)
			begin
				  if(hpend==639)
					  hpend=0;
					else 
					 hpend=hpend+1;
			end
			 

      end


endmodule


