`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    21:06:59 02/19/2013 
// Design Name: 
// Module Name:    MemRed 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module MemRed( clk25, hcount,btn1, vcount, blank, R2, R1, R0, G2, G1, G0, B1, B0,vpend,hpend,state);
input clk25,btn1;
input [10:0]hcount, vcount;
input blank;
output R2, R1, R0, G2, G1, G0, B1, B0;
input [10:0] vpend;
input [10:0] hpend;
input [4:0] state;
reg  R2, R1, R0, G2, G1, G0, B1, B0;

/* 
This declares all values needed for calling memeory locations
and calculates memeory addresses
*/
reg [10:0] C1=289-45;// moving it -30 but -15 for radius
reg  [10:0] H1=406; 
parameter width=61;
parameter height=54;
parameter width3=200;
parameter height3=21;
parameter width4=170;
parameter height4=46;
parameter height2=61;
parameter width2=54;

wire [11:0]ROM_ADDRESS;
wire [7:0]ROM_DATA;
wire [7:0]ROM_DATAP;
wire  [10:0] ypix, xpix;
assign ypix = (vcount-H1);
assign xpix= (hcount-C1);
assign ROM_ADDRESS=61*ypix+xpix;

// Fallen picture is in a diffent location but same size
reg [10:0] C2=289-45-76;// moving it -30 but -15 for radius
reg  [10:0] H2=398; 
wire [11:0]ROM_ADDRESS2;
wire [7:0]ROM_DATA2;
wire  [10:0] ypix2, xpix2;
assign ypix2 = (vcount-H2);
assign xpix2= (hcount-C2);
assign ROM_ADDRESS2=54*ypix2+xpix2;

//Reading game start from meme
// Fallen picture is in a diffent location but same size
reg [10:0] C3=220;// moving it -30 but -15 for radius
reg  [10:0] H3=200; 
wire [12:0]ROM_ADDRESS3;
wire [7:0]ROM_DATA3;
wire  [10:0] ypix3, xpix3;
assign ypix3 = (vcount-H3);
assign xpix3= (hcount-C3);
assign ROM_ADDRESS3=200*ypix3+xpix3;


// displaying winner image
//Reading game start from meme
// Fallen picture is in a diffent location but same size
reg [10:0] C4=200;// moving it -30 but -15 for radius
reg  [10:0] H4=200; 
wire [12:0]ROM_ADDRESS4;
wire [7:0]ROM_DATA4;
wire  [10:0] ypix4, xpix4;
assign ypix4 = (vcount-H4);
assign xpix4= (hcount-C4);
assign ROM_ADDRESS4=170*ypix4+xpix4;









							Drawing circle big ball 
                Drawing the pendulum// center of pendilum
*/
wire [10:0] hcen_b=370-50;// this centers it at 340
wire [10:0] vcen_b=180;
wire [10:0] center_h; // 390this values need to be passed from a outside mode
wire [10:0] center_v;// 430this values need to be passed from a outside module during game 
reg [20:0] h_diff;
reg [20:0] v_diff;
reg [10:0] sum_circle;
reg [20:0] diff_squares;
parameter radiusball = 144; // used to be 20*20this assumes a circle od radius 20 pix
assign center_h=hpend-54; // moves it to 340
assign center_v=vpend; // move to punch place used to be -20

//-------------------------------------------------------
 
parameter smallradius=64; //4*4 radius for small c

// drawing smaller circles #0


wire [10:0]center_h0=hcen_b;
wire [10:0] center_v0;
reg [20:0] h_diff0;
reg [20:0] v_diff0;
reg [10:0] sum_circle0;
reg [20:0] diff_squares0;
assign center_v0=vcen_b;   //vpend-20-230;


//drawing lines

parameter h1=320;
parameter v1=180;
wire [10:0]h2;
wire [10:0]v2;
assign h2= center_h;
assign v2=center_v;
reg signed [10:0] deltah;
reg  signed [10:0] deltav;
/*reg signed [10:0] deltah2;
reg signed [10:0] deltav2;
reg signed [10:0] sum1;
reg signed [10:0] sum2=500;
reg signed [10:0]  sum;*/
reg  [20:0] currentradius;

//---------------------------------------------------------------------------------
// main program line
always @ (vcount,hcount,vpend,hpend,state)
 begin
   
	
		deltah<=h2-h1;
		deltav<=v2-v1;
		currentradius<=((vcount-center_v0)*(vcount-center_v0))+((hcount-center_h0)*(hcount-center_h0));
		
		
	
			 
	// Caculating values for ball	 big ball 
	h_diff<=(hcount-center_h);
	v_diff<=(vcount-center_v);
	diff_squares<=(v_diff*v_diff)+(h_diff*h_diff);
	
	
	// Caculating values for small circle // ball at the center
	h_diff0<=(hcount-center_h0);
	v_diff0<=(vcount-center_v0);
	diff_squares0<=(v_diff0*v_diff0)+(h_diff0*h_diff0);
	



// image of game game start 
// calls image for game starting
 if(state==24)
 begin
   if (hcount >= C3+3 && hcount<(C3+width3) && (vcount >= H3) && vcount < (H3+height3)&& blank==0)
		    begin
					   
								 R2 <=ROM_DATA3[7]; // mem= gamestart
								 R1 <=ROM_DATA3[6];
								 R0 <=ROM_DATA3[5];
								 G2 <=ROM_DATA3[4];
								 G1 <=ROM_DATA3[3];
								 G0 <=ROM_DATA3[2];
								 B1 <=ROM_DATA3[1];
								 B0 <=ROM_DATA3[0];
		     end
	else if (blank==0)
	    begin
		                R2 <=1'b1; 
							 R1 <=1'b1;
							 R0 <=1'b1;
							 G2 <=1'b1;
							 G1 <=1'b1;
							 G0 <=1'b1;
							 B1 <=1'b1;
							 B0 <=1'b1;
					  

		 end
		 else
				 begin
				          R2 <=1'b0; 
							 R1 <=1'b0;
							 R0 <=1'b0;
							 G2 <=1'b0;
							 G1 <=1'b0;
							 G0 <=1'b0;
							 B1 <=1'b0;
							 B0 <=1'b0;
					  

				 end
 
 end
 
 if(state==23)
		 begin
		 if (hcount >= C4+3 && hcount<(C4+width4) && (vcount >= H4) && vcount < (H4+height4)&& blank==0)
		    begin
					   
								 R2 <=ROM_DATA4[7]; // mem= gamewon
								 R1 <=ROM_DATA4[6];
								 R0 <=ROM_DATA4[5];
								 G2 <=ROM_DATA4[4];
								 G1 <=ROM_DATA4[3];
								 G0 <=ROM_DATA4[2];
								 B1 <=ROM_DATA4[1];
								 B0 <=ROM_DATA4[0];
		     end
	   else if (blank==0)
	    begin
		                R2 <=1'b1; 
							 R1 <=1'b1;
							 R0 <=1'b1;
							 G2 <=1'b1;
							 G1 <=1'b1;
							 G0 <=1'b1;
							 B1 <=1'b1;
							 B0 <=1'b1;
					  

		 end
		 else 
		     begin
			             R2 <=1'b0; 
							 R1 <=1'b0;
							 R0 <=1'b0;
							 G2 <=1'b0;
							 G1 <=1'b0;
							 G0 <=1'b0;
							 B1 <=1'b0;
							 B0 <=1'b0;
					  

			  end


		 end
 
 
 
if(state!=24 && state!=23)
begin			  
				// picture region of puncHING  adding 5 to C1 coz of the bad color
				if (hcount >= C1+5 && hcount<(C1+width) && (vcount >= H1) && vcount < (H1+height)&& blank==0&& center_h>310)
						 begin
								 if(btn1 && center_h>314 && center_h<318) // punching
									  begin
											 R2 <=ROM_DATAP[7]; // mem=punch
											 R1 <=ROM_DATAP[6];
											 R0 <=ROM_DATAP[5];
											 G2 <=ROM_DATAP[4];
											 G1 <=ROM_DATAP[3];
											 G0 <=ROM_DATAP[2];
											 B1 <=ROM_DATAP[1];
											 B0 <=ROM_DATAP[0];
										end
									else 
									
										 begin // geting ready to punch image
								 
											 R2 <=ROM_DATA[7];  // mem =celebrating
											 R1 <=ROM_DATA[6];
											 R0 <=ROM_DATA[5];
											 G2 <=ROM_DATA[4];
											 G1 <=ROM_DATA[3];
											 G0 <=ROM_DATA[2];
											 B1 <=ROM_DATA[1];
											 B0 <=ROM_DATA[0];
										end  			
						 end
		  else if(hcount>=320 &&(deltav*hcount-deltav*h1-deltah*vcount+deltah*v1)>-5 &&(deltav*hcount-deltav*h1-deltah*vcount+deltah*v1)<5 && blank==0 && currentradius<40000&& state!=20)
		 //else if(sum1==sum2 && blank==0 && hcount>h1-4)
		
			      begin
							G2 <= 0; 
							G1 <= 0;
							G0 <= 0;          // Black background
							B1 <= 0;
							B0 <= 0;
							R2 <= 0;
							R1 <= 0; 
							R0 <= 0;
			     end
					
				// Displaying fallen wario
				else if (hcount >= C2+1 && hcount<(C2+width2) && (vcount >= H2) && vcount < (H2+height2)&& blank==0 && state==20)
						 begin
									
									 R2 <=ROM_DATA2[7]; // mem=Fallenwario
									 R1 <=ROM_DATA2[6];
									 R0 <=ROM_DATA2[5];
									 G2 <=ROM_DATA2[4];
									 G1 <=ROM_DATA2[3];
									 G0 <=ROM_DATA2[2];
									 B1 <=ROM_DATA2[1];
									 B0 <=ROM_DATA2[0];
						  end
									
				// big ball at end
			  else if(diff_squares < (radiusball) && blank==0)
								  begin
										 R2 <=1'b0; 
										 R1 <=1'b0;
										 R0 <=1'b0;
										 G2 <=1'b0;
										 G1 <=1'b0;
										 G0 <=1'b0;
										 B1 <=1'b0;
										 B0 <=1'b0;	  	  
								  end
					// small ball at the center small 0	  
				else if(diff_squares0 < (smallradius) && blank==0)
								  begin
										 R2 <=1'b0; 
										 R1 <=1'b0;
										 R0 <=1'b0;
										 G2 <=1'b0;
										 G1 <=1'b0;
										 G0 <=1'b0;
										 B1 <=1'b0;
										 B0 <=1'b0;
								  
								  
								  end
			

				 // --------------------- BACKGROUND IMAGE -----------------------------------

			else if((hcount < 20) || (hcount > 620) ||(vcount<20)|| (vcount > 460) && (blank == 0))
					  begin
					  G2 <= 0; 
					  G1 <= 0; 
					  G0 <= 0;          // Black background
					  B1 <= 0;
					  B0 <= 0;
					  R2 <= 0; 
					  R1 <= 0; 
					   R0 <= 0;
					  end      // Right-side of triangle          Left-side of triangle
			  else if ((hcount < ((vcount/2) + 320)) && (hcount > (-(vcount/2) + 320)) && (blank == 0))
					  begin
						
						
						G2 <= 1; 
						G1 <= 1; 
						G0 <= 1;          // display bright yellow for being inside the shining light
						B1 <= 1; 
						B0 <= 1;
						R2 <= 1; 
						R1 <= 1; 
						R0 <= 1;
					  end
					  
			  else if(blank == 0)
					  begin
						G2 <= 1; 
						G1 <= 0;
						G0 <= 1;             // display not as bright yellow for outside shining light
						B1 <= 0;
						B0 <= 1;
						R2 <= 1; 
						R1 <= 0;
						R0 <= 1;
					  end
			  else
					  begin
						G2 <= 0;
						G1 <= 0; 
						G0 <= 0;             // BLANK area
						B1 <= 0;
						B0 <= 0;
						R2 <= 0; 
						R1 <= 0; 
						R0 <= 0;
					  end
			 end
		
		end


endmodule
