`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    22:00:36 02/14/2011 
// Design Name: 
// Module Name:    colorbars 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module colorbars(hcount,vcount,blank,R2, R1, R0, G2, G1, G0, B1, B0,vpend,hpend);

input [10:0]hcount,vcount;
input blank;
input [10:0] vpend;
input [10:0] hpend;

output R2, R1, R0, G2, G1, G0, B1, B0;
reg  R2, R1, R0, G2, G1, G0, B1, B0;

//------------------------Fixed Horizontal
// this module is just for determing values for testing horizontak movement


//---------------------Ball Parameter----------------
wire  [10:0] center_h=320; // 390this values need to be passed from a outside mode
wire [10:0] center_v;// 430this values need to be passed from a 
reg [20:0] h_diff;
reg [20:0] v_diff;
reg [10:0] sum_circle;
reg [20:0] diff_squares;
parameter radiusball = 144; // radius X Radius 

//-------------------------------
assign center_v=hpend;


always @ (vcount,hcount,vpend,hpend)
 begin
 
 
 
        h_diff<=(hcount-center_h);
	     v_diff<=(vcount-center_v);
	     diff_squares<=(v_diff*v_diff)+(h_diff*h_diff);
		  
		  
        if(diff_squares < (radiusball) && blank==0)
								  begin
										 R2 <=1'b1; 
										 R1 <=1'b1;
										 R0 <=1'b1;
										 G2 <=1'b1;
										 G1 <=1'b1;
										 G0 <=1'b1;
										 B1 <=1'b1;
										 B0 <=1'b1;	  	  
								  end
			 else if( (blank == 0))
					  begin
					  G2 <= 0; G1 <= 0; G0 <= 0;          // Black background
						B1 <= 0; B0 <= 0;
						R2 <= 0; R1 <= 0; R0 <= 0;
					  end      // Right-side of triangle          Left-side of triangle
			 
 end

endmodule
