`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    15:15:13 02/27/2013 
// Design Name: 
// Module Name:    debounce 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module debounce (reset, clk, btnin, btnout);
input reset,clk,btnin;
output btnout;
reg q0,q1,q2,q3;
 
 // check is reset start latching when btn is pressed 
always @(posedge clk or posedge reset)
begin
	if(reset)
		begin
			q0<=0;
			q1<=0;
			q2<=0;
			q3<=0;
		end
 // assigning previous valus
	else 
		begin
			q0<=btnin;
			q1<=q0;
			q2<=q1;
			q3<=q2;
		end
end
assign btnout=(q0&q1&q2&q3); // anding all to make sure that btn has been pressed 
endmodule

